import { NextRequest, NextResponse } from "next/server";
import { db } from "@/lib/db";
import { getServerSession } from "next-auth";
import { authOptions } from "@/lib/auth";

export async function GET() {
  const countries = await db.country.findMany({
    include: { group: true },
    orderBy: { name: "asc" },
  });
  return NextResponse.json(countries);
}

export async function POST(req: NextRequest) {
  const session = await getServerSession(authOptions);
  if (!session || (session.user as any).role !== "ADMIN")
    return NextResponse.json({ error: "Unauthorized" }, { status: 401 });

  const body = await req.json();
  const country = await db.country.create({ data: body });
  return NextResponse.json(country, { status: 201 });
}
